2002-11-18  H.J. Lu <hjl@gnu.org>

	* linux-2.4.18-18-e100-2.1.24.patch: New. Update Intel PRO/100
	Ethernet Controller driver to version 2.1.24.

	* linux-2.4.18-18-e1000-4.3.15.patch: New. Updated for
	kernel-2.4.18-18.7.x.

	* Makefile (PATCHES): Remove linux-2.4.18-tcp-SYN_RECV.patch.
	Replace linux-2.4.18-12.5-e1000-4.3.15.patch with
	linux-2.4.18-18-e1000-4.3.15.patch, 
	linux-2.4.18-12.5-e100-2.1.15.patch with
	linux-2.4.18-18-e100-2.1.24.patch.
	* kernel-2.4.spec: Likewise.

	* Makefile (RELEASE): Set to 18.7.x.

	* kernel-2.4.spec: Updated from kernel-2.4.18-18.7.x.
	(release): Set to 18.7.x.1.

2002-11-16  H.J. Lu <hjl@gnu.org>

	* Makefile (NATIVE-RPMFLAGS): Renamed "--with acpi" to ...
	(NATIVE-ia32-RPMFLAGS): This.
	(RPMFLAGS): Renamed "--with acpi" to ...
	(ia32-RPMFLAGS): This.

2002-10-25  H.J. Lu <hjl@gnu.org>

	* linux-2.4.18-pci-order.patch: New. Support sorting PCI device
	by bus, slot and function.

	* Makefile (PATCHES): Add linux-2.4.18-pci-order.patch.

	* kernel-2.4.spec: Apply linux-2.4.18-pci-order.patch.
	(release): Set to 17.7.x.4.

2002-10-24  H.J. Lu <hjl@gnu.org>

	* linux-2.4.18-17.7.x-oprofile.patch: New. Support oprofile as
	a module.

	* Makefile (PATCHES): Add linux-2.4.18-17.7.x-oprofile.patch.

	* kernel-2.4.spec: Apply linux-2.4.18-17.7.x-oprofile.patch.
	(release): Set to 17.7.x.3.

	* linux-2.4.18-17.7.x-oprofile-0.3.patch: Updated for module.

2002-10-23  H.J. Lu <hjl@gnu.org>

	* linux-2.4.18-17.7.x-oprofile-0.3.patch: New. Upgrade to
	oprofile 0.3.

	* Makefile (PATCHES): Add linux-2.4.18-17.7.x-oprofile-0.3.patch.

	* kernel-2.4.spec: Apply linux-2.4.18-17.7.x-oprofile-0.3.patch.
	(release): Set to 17.7.x.2.

2002-10-17  H.J. Lu <hjl@gnu.org>

	* Makefile (PATCHES): Remove linux-2.4.18-pci-bridge.patch,
	linux-2.4.18-12.5-promise.patch and linux-2.4.18-12.5-dup.patch.
	They are already included in kernel-2.4.18-17.7.x.
	* kernel-2.4.spec: Likewise.

	* Makefile (RELEASE): Set to 17.7.x.

	* kernel-2.4.spec: Updated from kernel-2.4.18-17.7.x.
	(release): Set to 17.7.x.1.

2002-10-15  H.J. Lu <hjl@gnu.org>

	* linux-2.4.18-tcp-SYN_RECV.patch: New. Fix a TCP SYN_RECV bug
	with Foundry switch.

	* Makefile (PATCHES): Add linux-2.4.18-tcp-SYN_RECV.patch.

	* kernel-2.4.spec: Apply linux-2.4.18-tcp-SYN_RECV.patch.
	(release): Set to 14.5.

2002-10-13  H.J. Lu <hjl@gnu.org>

	* linux-2.4.18-14-vmware.patch: Updated.

	* kernel-2.4.spec (release): Set to 14.4.

2002-10-13  H.J. Lu <hjl@gnu.org>

	* linux-2.4.18-14-vmware.patch: New. Work around a VMware bug.

	* Makefile (PATCHES): Add linux-2.4.18-14-vmware.patch.

	* kernel-2.4.spec: Apply linux-2.4.18-14-vmware.patch.
	(release): Set to 14.3.

2002-09-18  H.J. Lu <hjl@gnu.org>

	* linux-2.4.18-tera.patch: New. Support tera byte disk.

	* Makefile (PATCHES): Add linux-2.4.18-tera.patch.

	* kernel-2.4.spec: Apply linux-2.4.18-tera.patch.

2002-09-17  H.J. Lu <hjl@gnu.org>

	* kernel-2.4.spec: Enable UP APIC when ACPI is enabled.
	(release): Set to 14.2.

2002-09-14  H.J. Lu <hjl@gnu.org>

	* Makefile (RELEASE): Set to 14.

	* kernel-2.4.spec: Updated from kernel-2.4.18-14.
	(release): Set to 14.1.

2002-09-08  H.J. Lu <hjl@gnu.org>

	* linux-2.4.18-invlpg.patch: Fix TLB flush in i386 kernel on
	PPro+ processors.

	* Makefile (PATCHES): Add linux-2.4.18-invlpg.patch.

	* kernel-2.4.spec: Apply linux-2.4.18-invlpg.patch.
	(release): Set to 12.5.3.

2002-09-07  H.J. Lu <hjl@gnu.org>

	* linux-2.4.18-12.5-acpi-pci.patch: New. Add the support for
	ACPI PCI IRQ only.

	* linux-2.4.18-12.5-dup.patch: New. Remove duplicated installed
	modules.

	* linux-2.4.18-12.5-ide-ioports.patch: New. Fix up the PCI IDE
	I/O ports.

	* Makefile (PATCHES): Add linux-2.4.18-12.5-dup.patch,
	linux-2.4.18-12.5-ide-ioports.patch and
	linux-2.4.18-12.5-acpi-pci.patch.

	* kernel-2.4.spec: Apply linux-2.4.18-12.5-dup.patch,
	linux-2.4.18-12.5-ide-ioports.patch and
	linux-2.4.18-12.5-acpi-pci.patch.
	Enable ACPI in the i386-BOOT kernel for PCI IRQ.
	(release): Set to 12.5.2.

2002-09-04  H.J. Lu <hjl@gnu.org>

	* kernel-2.4.spec: Don't enable CONFIG_PDC202XX_BURST.

2002-09-04  H.J. Lu <hjl@gnu.org>

	* Makefile (NATIVE-i386-RPMFLAGS): New. Set to "--with up".

2002-09-04  H.J. Lu <hjl@gnu.org>

	* linux-2.4.18-12.5-promise.patch: New. Support Promise
	PDC20277 ATA RAID controller.

	* linux-2.4.18-12.5-acpi.patch: New. Updated for kernel
	2.4.18-12.5.

	* linux-2.4.18-12.5-acpi-smp.patch: New. Fix SMP with ACPI
	enabled.

	* Makefile (PATCHES): Remove linux-2.4.18-5-acpi.patch. Add
	linux-2.4.18-12.5-acpi.patch, linux-2.4.18-12.5-acpi-smp.patch
	and linux-2.4.18-12.5-promise.patch.

	* kernel-2.4.spec: Remove linux-2.4.18-5-acpi.patch. Apply
	linux-2.4.18-12.5-acpi.patch, linux-2.4.18-12.5-acpi-smp.patch
	and linux-2.4.18-12.5-promise.patch.
	Disable CONFIG_HOTPLUG_PCI_ACPI.
	Enable ACPI for i686-smp.

2002-09-04  H.J. Lu <hjl@gnu.org>

	* linux-2.4.16-openssl-0.9.6b-mppe.patch: Inclide <slab.h>
	instead of <malloc.h>.

2002-09-03  H.J. Lu <hjl@gnu.org>

	* linux-2.4.18-12.5-e1000-4.3.15.patch: New. Updated for
	kernel-2.4.18-12.5.
	* linux-2.4.18-12.5-e100-2.1.15.patch: Likewise.

	* Makefile (RELEASE): Set to 12.5.
	(PATCHES): Remove linux-2.4.9-sbp2-inq.patch,
	linux-2.4.18-10-e1000-4.3.15.patch,
	linux-2.4.18-10-e100-2.1.15.patch and
	linux-2.4.18-10-i845e.patch.
	Add linux-2.4.18-12.5-e1000-4.3.15.patch and
	linux-2.4.18-12.5-e100-2.1.15.patch.

	* kernel-2.4.spec: Updated from kernel-2.4.18-12.5.
	(release): Set to 12.5.1.
	Don't apply linux-2.4.9-sbp2-inq.patch,
	linux-2.4.18-10-e1000-4.3.15.patch,
	linux-2.4.18-10-e100-2.1.15.patch and
	linux-2.4.18-10-i845e.patch.
	Apply linux-2.4.18-12.5-e1000-4.3.15.patch and
	linux-2.4.18-12.5-e100-2.1.15.patch.

2002-09-03  H.J. Lu <hjl@gnu.org>

	* linux-2.4.18-10-i845e.patch: New. Enable IDE for Intel 845E
	chipset.

	* Makefile (PATCHES): Add linux-2.4.18-10-i845e.patch.

	* kernel-2.4.spec: Apply linux-2.4.18-10-i845e.patch.

2002-09-02  H.J. Lu <hjl@gnu.org>

	* linux-2.4.18-10-nfs-size.patch: New. Change the default NFS
	read/write block size to 8192.

	* Makefile (PATCHES): Add linux-2.4.18-10-nfs-size.patch.

	* kernel-2.4.spec: Apply linux-2.4.18-10-nfs-size.patch.

2002-09-02  H.J. Lu <hjl@gnu.org>

	* linux-2.4.18-10-e100-2.1.15.patch: Updated with diagnostics
	support.

	* linux-2.4.18-10-e1000-4.3.15.patch: Updated with ETHTOOL_TEST
	support.

	* kernel-2.4.spec (release): Set to 10.4.

2002-08-30  H.J. Lu <hjl@gnu.org>

	* kernel-2.4.spec: Only enable CONFIG_PPP_BSDCOMP, not
	CONFIG_PPPOE.

2002-08-30  H.J. Lu <hjl@gnu.org>

	* linux-2.4.16-openssl-0.9.6b-mppe.patch: New. Support mppe.

	* Makefile (PATCHES): Add linux-2.4.16-openssl-0.9.6b-mppe.patch.
	(unpack): Removed.

	* kernel-2.4.spec: Apply linux-2.4.16-openssl-0.9.6b-mppe.patch.
	(release): Set to 10.3.
	Modify the configure files.

2002-08-29  H.J. Lu <hjl@gnu.org>

	* linux-2.4.18-10-e100-2.1.15.patch: New. Update Intel PRO/100
	Ethernet Controller driver to version 2.1.15.

	* Makefile (PATCHES): Add linux-2.4.18-10-e100-2.1.15.patch.

	* kernel-2.4.spec: Apply linux-2.4.18-10-e100-2.1.15.patch.

2002-08-28  H.J. Lu <hjl@gnu.org>

	* linux-2.4.18-10-e1000-4.3.15.patch: Remove the obsolete
	files.

2002-08-28  H.J. Lu <hjl@gnu.org>

	* linux-2.4.18-10-e1000-4.3.15.patch: New. Update Intel
	PRO/1000 Gigabit Ethernet Controller driver to version 4.3.15.  

	* Makefile (PATCHES): Add linux-2.4.18-10-e1000-4.3.15.patch.

	* kernel-2.4.spec: Apply linux-2.4.18-10-e1000-4.3.15.patch.
	(release): Set to 10.2.

2002-08-23  H.J. Lu <hjl@gnu.org>

	* Makefile (RELEASE): Set to 10.

	* kernel-2.4.spec: Updated from kernel-2.4.18-10.
	(release): Set to 10.1.

2002-08-18  H.J. Lu <hjl@gnu.org>

	* linux-2.4.18-pci-bridge.patch: Fix a typo.

	* Makefile (PATCHES): Put back linux-2.4.18-yenta-resource.patch
	and linux-2.4.18-pci-bridge.patch. Remove
	linux-2.4.18-yenta-bridge.patch. 
	* kernel-2.4.spec: Likewise.

	* kernel-2.4.spec (release): Set to 5.5.

2002-08-17  H.J. Lu <hjl@gnu.org>

	* Makefile (LUN): Set to true.
	(unpack): Enable CONFIG_SCSI_MULTI_LUN for i686 if $(LUN) is
	true.

2002-08-16  H.J. Lu <hjl@gnu.org>

	* linux-2.4.18-5-modules.patch: New. Support external modules.

	* Makefile (PATCHES): Remove linux-2.4.18-yenta-resource.patch
	and linux-2.4.18-pci-bridge.patch. Put back
	linux-2.4.18-yenta-bridge.patch. Add linux-2.4.18-5-modules.patch.
	* kernel-2.4.spec: Likewise.

	* kernel-2.4.spec (release): Set to 5.4.

2002-08-16  H.J. Lu <hjl@gnu.org>

	* linux-2.4.18-pci-bridge.patch: New. Fix Intel PCI bridges.

	* linux-2.4.18-yenta-resource.patch: New. Warn CardBus resource
	allocation failure.

	* Makefile (PATCHES): Remove linux-2.4.18-yenta-bridge.patch.
	Add linux-2.4.18-yenta-resource.patch and
	linux-2.4.18-pci-bridge.patch.
	* kernel-2.4.spec: Likewise.

2002-08-16  H.J. Lu <hjl@gnu.org>

	* Makefile (unpack): Add CONFIG_ACPI_HT_ONLY to config file.

2002-08-15  H.J. Lu <hjl@gnu.org>

	* linux-2.4.18-5-acpi.patch: New. ACPI.

	* linux-2.4.18-yenta-bridge.patch: New. CardBus brigde behind
	a PCI bridge.

	* linux-2.4-memstick.patch: New. Memory stick on Sony VAIO
	notebook.

	* Makefile (ACPI): Set to true.
	(PATCHES): Add linux-2.4.18-5-acpi.patch,
	linux-2.4.18-yenta-bridge.patch and linux-2.4-memstick.patch.
	(unpack): Enable ACPI for i686 if $(ACPI) is true.

	* kernel-2.4.spec (acpi): New. Default to 0.
	(release): Set to 5.3.
	Apply linux-2.4-memstick.patch and linux-2.4.18-yenta-bridge.patch.
	Apply linux-2.4.18-5-acpi.patch if %{acpi} is not 0.

2002-06-26  H.J. Lu <hjl@gnu.org>

	* kernel-2.4.spec (release): Set to 5.2. Rebuild with binutils
	2.12.90.0.13.

2002-06-20  H.J. Lu <hjl@gnu.org>

	* Makefile (RELEASE): Set to 5.

	* kernel-2.4.spec: Updated from kernel-2.4.18-5.
	(release): Set to 5.1.

2002-05-21  H.J. Lu <hjl@gnu.org>

	* Makefile (unpack): Set CONFIG_IEEE1394=m for the BOOT kernel.

2002-05-10  H.J. Lu <hjl@gnu.org>

	* Makefile (RELEASE): Set to 4.
	(PATCHES): Remove sct-jbddirty.patch. Not needed anymore.

	* kernel-2.4.spec: Updated from kernel-2.4.18-4.
	(release): Set to 4.1.
	Don't apply sct-jbddirty.patch.

2002-05-08  H.J. Lu <hjl@gnu.org>

	* sct-jbddirty.patch: New. Fix an ext3 kernel oops.

	* Makefile (PATCHES): Add sct-jbddirty.patch.

	* kernel-2.4.spec (release): Set to 3.2.
	Apply sct-jbddirty.patch.

2002-05-01  H.J. Lu <hjl@gnu.org>

	* Makefile (unpack): Set CONFIG_NET_E100=m in the BOOT kernel config
	file for Intel eepro100.

2002-05-01  H.J. Lu <hjl@gnu.org>

	* Makefile (VERSION): Set to 2.4.18.
	(RELEASE): Set to 3.
	(PATCHES): Remove linux-2.4.5-ac3-dhcp.patch,
	linux-2.4.9-sbp2-smp.patch, linux-2.4.9-discard.patch and
	linux-2.4.9-1394-mod.patch.
	(NATIVE-i586-RPMFLAGS): New.

	* kernel-2.4.spec: Updated from kernel 2.4.18-3.
	(release): Set to 3.1.
	Don't apply linux-2.4.5-ac3-dhcp.patch,
	linux-2.4.9-sbp2-smp.patch, linux-2.4.9-discard.patch and
	linux-2.4.9-1394-mod.patch.

	* linux-2.4.9-sbp2-inq.patch: Updated for kernel 2.4.18-3.

2002-03-31  H.J. Lu <hjl@gnu.org>

	* Makefile (unpack): Set CONFIG_BLK_DEV_RAM_SIZE=6144 in the BOOT
	kernel config file for rpm 4.0.4.

2002-03-31  H.J. Lu <hjl@gnu.org>

	* linux-2.4.5-ac3-dhcp.patch: Fix BOOTP when both DHCP/BOOTP
	are enabled.

	* linux-2.4.6-blksize.patch: Set blksize to BLOCK_SIZE for
	regular files in the loopback driver.

	* linux-2.4.7-yentasocket.patch: A patch for CardBus slots
	without IRQ.

	* linux-2.4.9-1394-mod.patch: Use list_for_each_safe instead
	of list_for_each for removal.

	* linux-2.4.9-discard.patch: One hack for discarded symbol.

	* linux-2.4.9-sbp2-inq.patch: Fix the sbp2 inquiry.

	* linux-2.4.9-sbp2-smp.patch: Try to fix sbp2 for SMP.

	* Makefile (RELEASE): Set to 31.
	(PATCHES): Add linux-2.4.9-sbp2-inq.patch.

	* kernel-2.4.spec: Updated for 2.4.9-31.
	(release): Set to 31.1.
	Apply linux-2.4.9-sbp2-inq.patch.
